# $Revision: 1.18 $, $Date: 2004/05/02 19:13:58 $

%define		org_name	imms

Summary:	Intelligent playlist plug-in for XMMS
Summary(pl):	Inteligenta wtyczka listy odtwarzania dla XMMS-a
Name:		xmms-%{org_name}
Version:	1.1
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/%{org_name}/%{org_name}-%{version}.tar.bz2
# Source0-md5:	b229b76f183ff2b3d4d1eccfd0569da2
URL:		http://www.luminal.org/phpwiki/index.php/IMMS
BuildRequires:	autoconf
BuildRequires:	id3lib-devel >= 3.8.0
BuildRequires:	pcre-devel
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	sqlite-devel
BuildRequires:	xmms-devel >= 1.2.0
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IMMS is an intelligent playlist plug-in for XMMS that tracks your
listening patterns and adapts itself to your taste.

%description -l pl
IMMS to inteligentna wtyczka listy odtwarzania dla XMMS-a, ledzca
przesuchiwane pliki, a nastpnie adaptujca si do gustu suchacza.

%prep
%setup -q -n %{org_name}-%{version}

%build
%{__autoconf}
%{__autoheader}

%configure
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{xmms_general_plugindir}

install libimms.so $RPM_BUILD_ROOT%{xmms_general_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{xmms_general_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-imms.spec,v $
Revision 1.18  2004/05/02 19:13:58  leafnode
- updated to 1.1

Revision 1.17  2003/12/12 20:27:04  adamg
- updated to 0.9.9

Revision 1.16  2003/10/09 07:31:27  adamg
- updated to 0.9.4

Revision 1.15  2003/09/30 11:18:37  qboosh
- BR: autoconf

Revision 1.14  2003/09/19 07:52:55  adamg
- updated to 0.9.2
- added BR: pcre-devel
- sorted BR

Revision 1.13  2003/09/15 06:07:25  misi3k
- updated to 0.9

Revision 1.12  2003/09/03 10:49:57  krzak
- BR: sqlite-devel

Revision 1.11  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.10  2003/07/14 06:13:51  adamg
- updated to 0.8.1

Revision 1.9  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/21 08:09:40  misi3k
- updated to 0.7.1
- Source0 gz -> bz2
Changlog:
Patched a memory leak
Fixed some log messages appearing early
Don't use strcasestr, it's not standard
Misc clean-ups

Revision 1.6  2003/05/13 09:03:29  qboosh
- use optflags, added -D_GNU_SOURCE needed to compile
- use xmms-config to get xmms plugin dir

Revision 1.5  2003/05/11 13:09:18  qboosh
- pl fix, cleanups

Revision 1.4  2003/05/01 17:21:27  radek
- fixed Source0 URL

Revision 1.3  2003/04/30 08:38:27  misi3k
- s/plugin/wtyczka/

Revision 1.2  2003/04/30 07:28:46  misi3k
- removed glib BR

Revision 1.1  2003/04/30 07:28:03  misi3k
- initial release
